#version 130

precision mediump float;

uniform mat4 perspective;
uniform mat4 view;
uniform mat4 model;

in vec4 vertex;
in vec4 color;
in vec2 texCoord;

out vec4 frag_color;
out vec2 texCoord0;

void main()
{
	gl_Position = perspective * view * model * vertex;

	texCoord0 = texCoord;

	frag_color = color;
}
