#version 130

uniform mat4 modelview_matrix;
uniform mat4 projection_matrix;

in vec2 vertex_in;
in vec2 texture_in;

out vec2 texCoord0;

void main(void) {
	texCoord0 = texture_in;
	
	vec4 pos = modelview_matrix * vec4(vertex_in, 0.0, 1.0);

	gl_Position = projection_matrix * pos;
}
