#version 130

uniform mat4 perspective;
uniform mat4 view;
uniform mat4 model;

in vec2 vertex;
in vec2 texture;

out vec2 texture_out;

void main()
{
    vec4 pos = vec4(vertex.x, vertex.y, 0.0, 1.0);

    gl_Position = perspective * model * pos;

    texture_out = texture;
}
