 #version 330

uniform mat4 perspective_cube;
uniform mat4 view_cube;
uniform mat4 model_cube;

in vec4 vertex_cube;

out vec3 cube_texCoord;

void main(void)
{
	cube_texCoord = normalize(vertex_cube.xyz);

	gl_Position = perspective_cube * view_cube * model_cube * vertex_cube;
}